Package org.apache.sysds.runtime.transform.encode

# Enum Class ColumnEncoderBin.BinMethod

java.lang.Object
java.lang.Enum<ColumnEncoderBin.BinMethod>
org.apache.sysds.runtime.transform.encode.ColumnEncoderBin.BinMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<ColumnEncoderBin.BinMethod>`, `Constable`

Enclosing class:
  ColumnEncoderBin

public static enum ColumnEncoderBin.BinMethod extends Enum<ColumnEncoderBin.BinMethod>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EQUI_HEIGHT`
`EQUI_HEIGHT_APPROX`
`EQUI_WIDTH`
`INVALID`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static ColumnEncoderBin.BinMethod`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ColumnEncoderBin.BinMethod[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INVALID

public static final ColumnEncoderBin.BinMethod INVALID

### EQUI_WIDTH

public static final ColumnEncoderBin.BinMethod EQUI_WIDTH

### EQUI_HEIGHT

public static final ColumnEncoderBin.BinMethod EQUI_HEIGHT

### EQUI_HEIGHT_APPROX

public static final ColumnEncoderBin.BinMethod EQUI_HEIGHT_APPROX

## Method Details

### values

public static ColumnEncoderBin.BinMethod[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ColumnEncoderBin.BinMethod valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<ColumnEncoderBin.BinMethod>`